[package]
name = "xenia-app"
version.workspace = true
edition.workspace = true
license.workspace = true

[[bin]]
name = "xenia-rs"
path = "src/main.rs"

[dependencies]
xenia-types = { workspace = true }
xenia-memory = { workspace = true }
xenia-cpu = { workspace = true }
xenia-xex = { workspace = true }
xenia-vfs = { workspace = true }
xenia-kernel = { workspace = true }
xenia-gpu = { workspace = true }
xenia-apu = { workspace = true }
xenia-hid = { workspace = true }
xenia-debugger = { workspace = true }
xenia-analysis = { workspace = true }
xenia-ui = { workspace = true }
winit = { workspace = true }
tracing = { workspace = true }
tracing-subscriber = { workspace = true }
tracing-appender = { workspace = true }
tracing-chrome = { workspace = true }
tracing-error = { workspace = true }
metrics = { workspace = true }
metrics-util = { workspace = true }
pprof = { workspace = true, optional = true }
anyhow = { workspace = true }
clap = { version = "4", features = ["derive"] }
serde = { workspace = true }
serde_json = { workspace = true }

[features]
default = ["profiling"]
profiling = ["dep:pprof"]
